io.milvus.v2.service.database

## Class DatabaseService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.database.DatabaseService

    public class DatabaseService
    extends BaseService

### Field Summary

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
Constructor and Description
`DatabaseService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Void` `alterDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, AlterDatabaseReq request)`
`java.lang.Void` `createDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateDatabaseReq request)`
`DescribeDatabaseResp` `describeDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeDatabaseReq request)`
`java.lang.Void` `dropDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropDatabaseReq request)`
`ListDatabasesResp` `listDatabases(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabaseService

    public DatabaseService()

### Method Detail

#### createDatabase

    public java.lang.Void createDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         CreateDatabaseReq request)

#### dropDatabase

    public java.lang.Void dropDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                       DropDatabaseReq request)

#### listDatabases

    public ListDatabasesResp listDatabases(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)

#### alterDatabase

    public java.lang.Void alterDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                        AlterDatabaseReq request)

#### describeDatabase

    public DescribeDatabaseResp describeDatabase(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                 DescribeDatabaseReq request)